/*******************************************************************************
*	DISCLAIMER
*
*	THIS SOFTWARE IS PROVIDED "AS IS" AND BFG ENGINEERING MAKES NO WARRANTIES
*	REGARDING THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING
*	BUT NOT LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
*	PURPOSE AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
*
*	WE (BFG ENGINEERING) DO NOT WARRANT THAT THIS SOFTWARE IS FREE FROM CLAIMS
*	BY A THIRD PARTY OF COPYRIGHT, PATENT, TRADEMARK, TRADE SECRET OR ANY OTHER
*	INTELLECTUAL PROPERTY INFRINGIMENT.
*
*	TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, BFG ENGINEERING
*	SHALL NOT BE LIABLE FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR
*	CONSEQUENTIAL DAMAGES FOR ANY REASON RELATED TO THIS SOFTWARE, EVEN IF BFG
*	ENGINEERING HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
*	PARTICULARLY, UNDER NO CIRCUMSTANCES ARE WE LIABLE FOR ANY OF THE FOLLOWING:
*	- THIRD PARTY CLAIMS AGAINST YOU FOR LOSSES OR DAMAGES;
*	- LOSS OF, OR DAMAGE TO YOUR RECORDS OR DATA; OR
*	- ECONOMIC CONSEQUENTIAL DAMAGES (INCLUDING LOST PROFITS OR SAVINGS) OR
*	  INCIDENTAL DAMAGES, EVEN IF WE ARE INFORMED OF THEIR POSSIBILITY.
*
*	BFG ENGINEERING DOES NOT WARRANT UNINTERRUPTED OR ERROR_FREE OPERATION OF
*	THIS SOFTWARE.
*	BFG ENGINEERING HAS NO OBLIGATION TO PROVIDE SERVICE, DEFECT CORRECTION OR
*	ANY MANTEINANCE OF THIS SOFTWARE; OR TO SUPPLY ANY UPDATES OR ENHANCEMENTS
*	EVEN IF SUCH ARE, OR LATER BECOME, AVAILABLE.
*
*	IF YOU DOWNLOAD OR USE THIS SOFTWARE YOU AGREE TO THESE TERMS, AND DO IT AT
*	YOUR OWN RISK.
*******************************************************************************/

/*******************************************************************************
*	File:		defpar.h
*	Contents:	Parameters default values
*******************************************************************************/

#ifndef _DEFPAR_H
#define _DEFPAR_H

// Motor default parameters

#define SEL_OP_DEF      			(      0 )		//     0 <= X <=  32767		//00. Operation Select
#define RPM_MIN_DEF     			(    500 )		//     0 <= X <=   3000		//01. Minimum Speed
#define RPM_MAX_DEF     			(   8000 )		//    60 <= X <=  30000		//02. Maximum Speed
#define R_ACC_DEF       			(   2000 )		//     1 <= X <=  10000		//03. Acceleration
#define R_DEC_DEF       			(   2000 )		//     1 <= X <=  10000		//04. Deceleration
#define C_POLI_DEF      			(      4 )		//     1 <= X <=     24		//05. Polar Couples
#define I_START_DEF     			(    400 )		//     0 <= X <=  30000		//06. Startup Current
#define I_MAX_DEF       			(   2000 )		//     0 <= X <=  30000		//07. Maximum Current
#define R_STA_DEF       			(     80 )		//     0 <= X <=  30000		//08. Stator Resistance
#define L_SYN_DEF       			(      6 )		//     0 <= X <=  30000		//09. Synchronous Inductance
#define PM_FLX_DEF      			(     64 )		//     0 <= X <=  30000		//10. Permanent Magnets Flux
#define KP_CUR_DEF      			(    600 )		//     0 <= X <=  30000		//11. Current Loop Kp
#define KI_CUR_DEF      			(   4000 )		//     0 <= X <=  30000		//12. Current Loop Ki
#define KP_VEL_DEF      			(   1000 )		//     0 <= X <=  30000		//13. Speed Loop Kp
#define KI_VEL_DEF      			(    500 )		//     0 <= X <=  30000		//14. Speed Loop Ki
#define FB_GAIN_DEF     			(     10 )		//     0 <= X <=  30000		//15. Flux Feedback Gain
#define PHA_OFF_DEF     			(      0 )		//     0 <= X <=    359		//16. Phase Offset
#define ST_TIM_DEF      			(   1000 )		//   100 <= X <=  30000		//17. StartUp Time
#define FLX_FTAU_DEF    			(    180 )		//     8 <= X <=   1000		//18. App. FE Time Constant
#define SAM_FRE_DEF     			(   8000 )		//  4000 <= X <=  16000		//19. Sampling Frequency
#define F_RATIO_DEF     			(      2 )		//     1 <= X <=      4		//20. PWM/SAM Freq. Ratio


#endif	// _DEFPAR_H
